On Wed, Oct 12, 2016 at 03:41:45PM -0700, Jarno Rajahalme wrote:
> 
> > On Oct 12, 2016, at 2:57 PM, Jarno Rajahalme <ja...@ovn.org> wrote:
> > 
> >> 
> >> On Oct 12, 2016, at 9:10 AM, Ben Pfaff <b...@ovn.org> wrote:
> >> 
> >> On Wed, Oct 12, 2016 at 01:27:46PM +0000, Andrej Leitner wrote:
> >>> - what does it mean OpenFlow 1.3+ in notes here 
> >>> http://openvswitch.org/releases/NEWS-2.6.0?
> >> 
> >> OpenFlow 1.3 and later.
> >> 
> >>> - there are bundles mentioned in connection with OF 1.3+, is it possible 
> >>> to communicate with OVS
> >>> 
> >>> in OFP v1.3 but use some features from higher versions (e.g. bundles)?
> >> 
> >> OVS implements the EXT-230 extension to OpenFlow 1.3 described here,
> >> which adds bundle support to OpenFlow 1.3:
> >> https://www.opennetworking.org/images/stories/downloads/sdn-resources/onf-specifications/openflow/openflow-extensions-1.3.x-package.zip
> >> 
> >>> - if ovs with OF v1.4 and v1.5 should support bundles, why I am still 
> >>> getting for capabilities
> >>> 
> >>> in FeaturesReply value of 4F (1001111) which means bundles are not 
> >>> supported (used ovs 2.4/5/6)?
> >> 
> >> Perhaps we forgot to update the feature bits?  Jarno, can you take a
> >> look?
> >> 
> > 
> > The capabilities bit OFPC_BUNDLES is an OpenFlow 1.5 feature we have not 
> > yet implemented. Same goes for the OF 1.5 bundles capabilities request and 
> > bundle properties. I’ll add the OFPC_BUNDLES today, but I feel the rest is 
> > not yet important.
> > 
> >  Jarno
> 
> While looking at this I’m wondering if we support the OpenFlow 1.4 flow 
> monitoring yet? OPENFLOW-1.1+.md says Simon is working on it.

It appears that the support is incomplete.  There is, at least, no test,
and the encoding and decoding functions in ofp-util.c seem to only
support OF1.0.
_______________________________________________
discuss mailing list
discuss@openvswitch.org
http://openvswitch.org/mailman/listinfo/discuss

Reply via email to